---
- name: Clone tt repository
  git:
    depth: 1
    repo: https://github.com/runrin/tt.git
    dest: '{{ tt_dir }}'

- name: Build tt
  community.general.make:
    chdir: '{{ tt_dir }}'

- name: Install custom launcher for tt
  template:
    src: ../templates/tt.j2
    dest: ~/.local/bin/tt
    mode: 0755
    force: yes
